Name:           eblook
Version:        1.6.1
Release:        2%{?dist}
Summary:        Command-line EB and EPWING dictionary search program

Group:          Applications/Text
License:        GPL
URL:            http://openlab.ring.gr.jp/edict/eblook/
Source0:        http://openlab.ring.gr.jp/edict/eblook/dist/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  eb-devel

%description
Command-line EB and EPWING dictionary search program.


%prep
%setup -q


%build
%configure --with-eb-conf=%{_libdir}/eb.conf
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# convert info file to utf-8
( cd $RPM_BUILD_ROOT%{_infodir}
  %{_bindir}/iconv -f EUC-JP -t UTF-8 eblook.info > eblook.info.utf8 && mv -f eblook.info{.utf8,} || rm eblook.info.utf8
)

rm -f $RPM_BUILD_ROOT%{_infodir}/dir


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/install-info %{_infodir}/eblook.info* %{_infodir}/dir \
        --section="CD-ROM Book Utilities" || :


%preun
if [ $1 = 0 ] ;then
/sbin/install-info %{_infodir}/eblook.info* %{_infodir}/dir \
        --section="CD-ROM Book Utilities" || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/eblook
%{_infodir}/eblook.info*


%changelog
* Wed Feb 14 2007 Jens Petersen <petersen@redhat.com> - 1.6.1-2
- convert info file to utf-8
- configure --with-eb-conf

* Mon Feb 12 2007 Jens Petersen <petersen@redhat.com> - 1.6.1-1
- initial packaging for Fedora (#228243)
